/************************************************************
 **
 ** jal_blck.h : JAL block processing declarations
 **
 ** Copyright (c) 2004-2005, Kyle A. York
 ** All rights reserved
 **
 ************************************************************/

#ifndef jal_blck_h__
#define jal_blck_h__

#include "../libcore/pfile.h"

#define JAL_BLOCK_PROCESS_FLAG_NONE      0x0000
#define JAL_BLOCK_PROCESS_FLAG_SKIP_STMT 0x0001
#define JAL_BLOCK_PROCESS_FLAG_NO_BLOCK  0x0002 /* don't wrap block/eob */
/* set this to *not* update the pfile pos to the start of the end token */
#define JAL_BLOCK_PROCESS_FLAG_LEAVE_END_POS          0x0004

void jal_block_process(pfile_t *pf, flag_t flags, size_t eword_ct,
    const char **ewords, size_t *ew);
void jal_file_process(pfile_t *pf);

#endif /* jal_blck_h__ */



